<!DOCTYPE html>
<html lang="ru">

<head>
    <meta charset="UTF-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <title>Cowora</title>

    <link rel="stylesheet" href="/static/css/normalize.css"/>
    <link rel="stylesheet" href="/static/css/resets.css"/>
    <link rel="stylesheet" href="/static/css/main.css"/>

    <script defer src="/static/js/index.js"></script>
</head>

<body>
<header class="header container">
    <div class="header__box header__box_top">
        <div class="input-wrapper">
            <input class="header__title" type="text" value="{{ project_name }}" maxlength="64"
                   id="project-name"/>
            <label for="project-name" class="saved">
                Сохранено

                <svg width="10" height="10" viewBox="0 0 10 10" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <g clip-path="url(#clip0_14_10530)">
                        <path
                                d="M9.16659 4.61677V5.00011C9.16607 5.89862 8.87513 6.77289 8.33714 7.49253C7.79916 8.21218 7.04295 8.73864 6.18132 8.9934C5.31968 9.24816 4.39878 9.21757 3.55595 8.90618C2.71312 8.5948 1.99352 8.01931 1.50449 7.26555C1.01545 6.51179 0.783165 5.62013 0.842284 4.72357C0.901403 3.82701 1.24875 2.97358 1.83254 2.29055C2.41632 1.60753 3.20525 1.13152 4.08166 0.9335C4.95808 0.735485 5.87503 0.82608 6.69575 1.19177"
                                stroke="#b7b7b7" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M9.16667 1.6665L5 5.83734L3.75 4.58734" stroke="#b7b7b7" stroke-linecap="round"
                              stroke-linejoin="round"/>
                    </g>
                    <defs>
                        <clipPath id="clip0_14_10530">
                            <rect width="10" height="10" fill="white"/>
                        </clipPath>
                    </defs>
                </svg>
            </label>
        </div>
        <button type="button" class="header__download download-btn">
            Скачать все решения

            <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path
                        d="M21 14V18C21 18.5304 20.7893 19.0391 20.4142 19.4142C20.0391 19.7893 19.5304 20 19 20H5C4.46957 20 3.96086 19.7893 3.58579 19.4142C3.21071 19.0391 3 18.5304 3 18V14"
                        stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                <path d="M7 9L12 14L17 9" stroke="white" stroke-width="2" stroke-linecap="round"
                      stroke-linejoin="round"/>
                <path d="M12 14V2" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
            </svg>
        </button>
    </div>
    <div class="header__box">
        <div class="header__bar">
            <div class="header__bar-inner"></div>
        </div>
        <div class="header__deadline">Осталось 3 дня</div>
    </div>
</header>
<main class="main container">
    <div class="side">
        <h2 class="side__title">
            Решения
            <button onclick="addTask('{{ url_hash }}', {{ user_id }})" id="create_task">
                <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path d="M12 22C17.5228 22 22 17.5228 22 12C22 6.47715 17.5228 2 12 2C6.47715 2 2 6.47715 2 12C2 17.5228 6.47715 22 12 22Z"
                          stroke="#7961fe" stroke-width="1" stroke-linecap="round" stroke-linejoin="round"/>
                    <path d="M12 8V16" stroke="#7961fe" stroke-width="1" stroke-linecap="round"
                          stroke-linejoin="round"/>
                    <path d="M8 12H16" stroke="#7961fe" stroke-width="1" stroke-linecap="round"
                          stroke-linejoin="round"/>
                </svg>
            </button>
        </h2>
        <div class="side__wrapper">
            {% for task in tasks %}
            <div class="task">
                <div class="task__left">
                    <div class="task__icon">
                        <svg width="50" height="50" viewBox="0 0 50 50" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path
                                    d="M21.234 39.527C21.567 39.527 21.8863 39.6664 22.1217 39.9146C22.3571 40.1627 22.4894 40.4993 22.4894 40.8502C22.4894 41.2011 22.3571 41.5377 22.1217 41.7858C21.8863 42.034 21.567 42.1734 21.234 42.1734C20.9011 42.1734 20.5818 42.034 20.3464 41.7858C20.1109 41.5377 19.9787 41.2011 19.9787 40.8502C19.9787 40.4993 20.1109 40.1627 20.3464 39.9146C20.5818 39.6664 20.9011 39.527 21.234 39.527ZM28.7661 39.527C29.099 39.527 29.4183 39.6664 29.6537 39.9146C29.8892 40.1627 30.0214 40.4993 30.0214 40.8502C30.0214 41.2011 29.8892 41.5377 29.6537 41.7858C29.4183 42.034 29.099 42.1734 28.7661 42.1734C28.4331 42.1734 28.1138 42.034 27.8784 41.7858C27.643 41.5377 27.5107 41.2011 27.5107 40.8502C27.5107 40.4993 27.643 40.1627 27.8784 39.9146C28.1138 39.6664 28.4331 39.527 28.7661 39.527ZM19.9787 21.0022C20.6445 21.0022 21.2832 21.281 21.754 21.7773C22.2248 22.2736 22.4894 22.9468 22.4894 23.6486C22.4894 24.3505 22.2248 25.0236 21.754 25.5199C21.2832 26.0162 20.6445 26.295 19.9787 26.295C19.3128 26.295 18.6742 26.0162 18.2034 25.5199C17.7325 25.0236 17.468 24.3505 17.468 23.6486C17.468 22.9468 17.7325 22.2736 18.2034 21.7773C18.6742 21.281 19.3128 21.0022 19.9787 21.0022ZM30.0214 21.0022C30.6873 21.0022 31.3259 21.281 31.7967 21.7773C32.2676 22.2736 32.5321 22.9468 32.5321 23.6486C32.5321 24.3505 32.2676 25.0236 31.7967 25.5199C31.3259 26.0162 30.6873 26.295 30.0214 26.295C29.3555 26.295 28.7169 26.0162 28.2461 25.5199C27.7752 25.0236 27.5107 24.3505 27.5107 23.6486C27.5107 22.9468 27.7752 22.2736 28.2461 21.7773C28.7169 21.281 29.3555 21.0022 30.0214 21.0022ZM40.0641 39.527C40.0641 45.3755 33.3104 50.1126 25 50.1126C16.6897 50.1126 9.93594 45.3755 9.93594 39.527C9.93594 37.1452 11.0657 34.9487 12.9488 33.1757C11.0657 30.5293 9.93594 27.2213 9.93594 23.6486L10.2372 20.42C8.88145 20.817 7.24951 20.817 5.91884 20.42C3.35795 19.679 -0.508508 16.6357 0.0689495 14.5186C0.646407 12.4014 5.44181 12.0045 8.00271 12.7984C9.48401 13.2483 11.0657 14.3862 11.9947 15.6036L13.4258 13.46C11.9194 10.549 12.4466 2.47745 19.9787 -0.168945L19.7527 0.20155C19.0497 1.36596 17.242 5.04446 19.1501 9.01405C21.0025 8.1945 22.9912 7.77239 25 7.77239C27.0089 7.77239 28.9976 8.1945 30.8499 9.01405C32.7581 5.04446 30.9504 1.36596 30.2474 0.20155L30.0214 -0.168945C37.5535 2.47745 38.0807 10.549 36.5743 13.46L38.0054 15.6036C38.9343 14.3862 40.5161 13.2483 41.9974 12.7984C44.5583 12.0045 49.3537 12.4014 49.9311 14.5186C50.5086 16.6357 46.6421 19.679 44.0812 20.42C42.7506 20.817 41.1186 20.817 39.7629 20.42L40.0641 23.6486C40.0641 27.2213 38.9343 30.5293 37.0513 33.1757C38.9343 34.9487 40.0641 37.1452 40.0641 39.527ZM25 34.2342C19.4514 34.2342 14.9573 36.616 14.9573 39.527C14.9573 42.438 19.4514 44.8198 25 44.8198C30.5487 44.8198 35.0428 42.438 35.0428 39.527C35.0428 36.616 30.5487 34.2342 25 34.2342ZM25 28.9414C27.812 28.9414 30.4482 29.4972 32.7078 30.4234C34.164 28.5974 35.0428 26.295 35.0428 23.6486C35.0428 20.8412 33.9847 18.1487 32.1013 16.1635C30.218 14.1783 27.6635 13.063 25 13.063C22.3365 13.063 19.7821 14.1783 17.8988 16.1635C16.0154 18.1487 14.9573 20.8412 14.9573 23.6486C14.9573 26.295 15.836 28.5974 17.2922 30.4234C19.5519 29.4972 22.1881 28.9414 25 28.9414Z"
                                    fill="#7961fe"/>
                        </svg>
                    </div>
                    <div class="task__description">
                        <div class="input-wrapper">
                            <input type="text" class="task__name" value="{{ task.name }}" id="task-1"/>
                            <label for="task-1" class="saved">
                                Сохранено
                                <svg width="10" height="10" viewBox="0 0 10 10" fill="none"
                                     xmlns="http://www.w3.org/2000/svg">
                                    <g clip-path="url(#clip0_14_10530)">
                                        <path
                                                d="M9.16659 4.61677V5.00011C9.16607 5.89862 8.87513 6.77289 8.33714 7.49253C7.79916 8.21218 7.04295 8.73864 6.18132 8.9934C5.31968 9.24816 4.39878 9.21757 3.55595 8.90618C2.71312 8.5948 1.99352 8.01931 1.50449 7.26555C1.01545 6.51179 0.783165 5.62013 0.842284 4.72357C0.901403 3.82701 1.24875 2.97358 1.83254 2.29055C2.41632 1.60753 3.20525 1.13152 4.08166 0.9335C4.95808 0.735485 5.87503 0.82608 6.69575 1.19177"
                                                stroke="#b7b7b7" stroke-linecap="round" stroke-linejoin="round"/>
                                        <path d="M9.16667 1.6665L5 5.83734L3.75 4.58734" stroke="#b7b7b7"
                                              stroke-linecap="round"
                                              stroke-linejoin="round"/>
                                    </g>
                                    <defs>
                                        <clipPath id="clip0_14_10530">
                                            <rect width="10" height="10" fill="white"/>
                                        </clipPath>
                                    </defs>
                                </svg>
                            </label>
                        </div>
                        {% if task.user_id == 0 %}
                        <button onclick="takeTask('{{ url_hash }}','{{ task.id }}', {{ user_id }})" type="button"
                                class="task__btn download-btn">
                            Начать работу
                            <svg width="20" height="20" viewBox="0 0 24 24" fill="none"
                                 xmlns="http://www.w3.org/2000/svg">
                                <path
                                        d="M12 22C17.5228 22 22 17.5228 22 12C22 6.47715 17.5228 2 12 2C6.47715 2 2 6.47715 2 12C2 17.5228 6.47715 22 12 22Z"
                                        stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                                <path d="M12 8V16" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                                <path d="M8 12H16" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                            </svg>
                        </button>
                        {% endif %}
                        {% if task.ready == true %}
                        <button type="button" class="task__btn download-btn">
                            Решение ({{ task.task_files|length }})

                            <svg width="14" height="8" viewBox="0 0 14 8" fill="none"
                                 xmlns="http://www.w3.org/2000/svg">
                                <path d="M1 1L7 7L13 1" stroke="white" stroke-width="2" stroke-linecap="round"
                                      stroke-linejoin="round"/>
                            </svg>
                        </button>
                        <div class="task__images">
                            {% for file in task.task_files %}
                            <img class="task__image"
                                 src="/cowora/projects/{{ file.path_to_file }}"
                                 alt="tmp">
                            {% endfor %}
                        </div>
                        {% endif %}
                        {% if task.ready == false %}
                        {% if task.user_id != 0 %}
                        <button type="button" class="task__btn download-btn">
                            Решение (0)

                            <svg width="14" height="8" viewBox="0 0 14 8" fill="none"
                                 xmlns="http://www.w3.org/2000/svg">
                                <path d="M1 1L7 7L13 1" stroke="white" stroke-width="2" stroke-linecap="round"
                                      stroke-linejoin="round"/>
                            </svg>
                        </button>
                        <form class="dropzone-form"
                              action="/cowora/projects/{{ url_hash }}/upload_task/{{ task.id }}?user_id={{ user_id }}"
                              method="post"
                              enctype="multipart/form-data">
                            <input type="file" name="file" class="dropzone">
                        </form>
                        {% endif %}
                        {% endif %}
                    </div>
                </div>
                <div class="task__controllers">
                    <button onclick="clearTask('{{ url_hash }}','{{ task.id }}', {{ user_id }})" class="task__trash">
                        <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M3 6H5H21" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                            <path
                                    d="M19 6V20C19 20.5304 18.7893 21.0391 18.4142 21.4142C18.0391 21.7893 17.5304 22 17 22H7C6.46957 22 5.96086 21.7893 5.58579 21.4142C5.21071 21.0391 5 20.5304 5 20V6M8 6V4C8 3.46957 8.21071 2.96086 8.58579 2.58579C8.96086 2.21071 9.46957 2 10 2H14C14.5304 2 15.0391 2.21071 15.4142 2.58579C15.7893 2.96086 16 3.46957 16 4V6"
                                    stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                            <path d="M10 11V17" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                            <path d="M14 11V17" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                        </svg>
                    </button>
                    <button onclick="deleteTask('{{ url_hash }}','{{ task.id }}', {{ user_id }})"
                            class="task__remove"></button>
                </div>
            </div>
            {% endfor %}
        </div>
    </div>
    <div class="side">
        <h2 class="side__title">Задания</h2>
        <div class="side__wrapper">
            {% if task_path == "" %}
            <form class="dropzone-form" action="/cowora/projects/{{ url_hash }}/upload?user_id={{ user_id }}"
                  method="post"
                  enctype="multipart/form-data">
                <input type="file" name="file" class="dropzone">
            </form>
            {% else %}
            <img src="/cowora/projects/{{ task_path }}">
            {% endif %}
        </div>
    </div>
</main>
<aside class="panel">
    <div class="panel__logo">
        <svg width="50" height="50" viewBox="0 0 50 50" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path
                    d="M21.234 39.527C21.567 39.527 21.8863 39.6664 22.1217 39.9146C22.3571 40.1627 22.4894 40.4993 22.4894 40.8502C22.4894 41.2011 22.3571 41.5377 22.1217 41.7858C21.8863 42.034 21.567 42.1734 21.234 42.1734C20.9011 42.1734 20.5818 42.034 20.3464 41.7858C20.1109 41.5377 19.9787 41.2011 19.9787 40.8502C19.9787 40.4993 20.1109 40.1627 20.3464 39.9146C20.5818 39.6664 20.9011 39.527 21.234 39.527ZM28.7661 39.527C29.099 39.527 29.4183 39.6664 29.6537 39.9146C29.8892 40.1627 30.0214 40.4993 30.0214 40.8502C30.0214 41.2011 29.8892 41.5377 29.6537 41.7858C29.4183 42.034 29.099 42.1734 28.7661 42.1734C28.4331 42.1734 28.1138 42.034 27.8784 41.7858C27.643 41.5377 27.5107 41.2011 27.5107 40.8502C27.5107 40.4993 27.643 40.1627 27.8784 39.9146C28.1138 39.6664 28.4331 39.527 28.7661 39.527ZM19.9787 21.0022C20.6445 21.0022 21.2832 21.281 21.754 21.7773C22.2248 22.2736 22.4894 22.9468 22.4894 23.6486C22.4894 24.3505 22.2248 25.0236 21.754 25.5199C21.2832 26.0162 20.6445 26.295 19.9787 26.295C19.3128 26.295 18.6742 26.0162 18.2034 25.5199C17.7325 25.0236 17.468 24.3505 17.468 23.6486C17.468 22.9468 17.7325 22.2736 18.2034 21.7773C18.6742 21.281 19.3128 21.0022 19.9787 21.0022ZM30.0214 21.0022C30.6873 21.0022 31.3259 21.281 31.7967 21.7773C32.2676 22.2736 32.5321 22.9468 32.5321 23.6486C32.5321 24.3505 32.2676 25.0236 31.7967 25.5199C31.3259 26.0162 30.6873 26.295 30.0214 26.295C29.3555 26.295 28.7169 26.0162 28.2461 25.5199C27.7752 25.0236 27.5107 24.3505 27.5107 23.6486C27.5107 22.9468 27.7752 22.2736 28.2461 21.7773C28.7169 21.281 29.3555 21.0022 30.0214 21.0022ZM40.0641 39.527C40.0641 45.3755 33.3104 50.1126 25 50.1126C16.6897 50.1126 9.93594 45.3755 9.93594 39.527C9.93594 37.1452 11.0657 34.9487 12.9488 33.1757C11.0657 30.5293 9.93594 27.2213 9.93594 23.6486L10.2372 20.42C8.88145 20.817 7.24951 20.817 5.91884 20.42C3.35795 19.679 -0.508508 16.6357 0.0689495 14.5186C0.646407 12.4014 5.44181 12.0045 8.00271 12.7984C9.48401 13.2483 11.0657 14.3862 11.9947 15.6036L13.4258 13.46C11.9194 10.549 12.4466 2.47745 19.9787 -0.168945L19.7527 0.20155C19.0497 1.36596 17.242 5.04446 19.1501 9.01405C21.0025 8.1945 22.9912 7.77239 25 7.77239C27.0089 7.77239 28.9976 8.1945 30.8499 9.01405C32.7581 5.04446 30.9504 1.36596 30.2474 0.20155L30.0214 -0.168945C37.5535 2.47745 38.0807 10.549 36.5743 13.46L38.0054 15.6036C38.9343 14.3862 40.5161 13.2483 41.9974 12.7984C44.5583 12.0045 49.3537 12.4014 49.9311 14.5186C50.5086 16.6357 46.6421 19.679 44.0812 20.42C42.7506 20.817 41.1186 20.817 39.7629 20.42L40.0641 23.6486C40.0641 27.2213 38.9343 30.5293 37.0513 33.1757C38.9343 34.9487 40.0641 37.1452 40.0641 39.527ZM25 34.2342C19.4514 34.2342 14.9573 36.616 14.9573 39.527C14.9573 42.438 19.4514 44.8198 25 44.8198C30.5487 44.8198 35.0428 42.438 35.0428 39.527C35.0428 36.616 30.5487 34.2342 25 34.2342ZM25 28.9414C27.812 28.9414 30.4482 29.4972 32.7078 30.4234C34.164 28.5974 35.0428 26.295 35.0428 23.6486C35.0428 20.8412 33.9847 18.1487 32.1013 16.1635C30.218 14.1783 27.6635 13.063 25 13.063C22.3365 13.063 19.7821 14.1783 17.8988 16.1635C16.0154 18.1487 14.9573 20.8412 14.9573 23.6486C14.9573 26.295 15.836 28.5974 17.2922 30.4234C19.5519 29.4972 22.1881 28.9414 25 28.9414Z"
                    fill="#7961fe"/>
        </svg>
        <svg width="57" height="33" viewBox="0 0 57 33" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path
                    d="M12.6339 12.096C11.5246 12.096 10.5219 11.8507 9.62594 11.36C8.7406 10.8693 8.04194 10.192 7.52994 9.328C7.0286 8.45333 6.77794 7.47733 6.77794 6.4C6.77794 5.32267 7.0286 4.352 7.52994 3.488C8.04194 2.61333 8.74594 1.93067 9.64194 1.44C10.5379 0.949333 11.5406 0.704 12.6499 0.704C13.4819 0.704 14.2499 0.842666 14.9539 1.12C15.6579 1.39733 16.2553 1.80267 16.7459 2.336L15.9939 3.088C15.1193 2.20267 14.0153 1.76 12.6819 1.76C11.7966 1.76 10.9913 1.96267 10.2659 2.368C9.5406 2.77333 8.96994 3.328 8.55394 4.032C8.1486 4.736 7.94594 5.52533 7.94594 6.4C7.94594 7.27467 8.1486 8.064 8.55394 8.768C8.96994 9.472 9.5406 10.0267 10.2659 10.432C10.9913 10.8373 11.7966 11.04 12.6819 11.04C14.0259 11.04 15.1299 10.592 15.9939 9.696L16.7459 10.448C16.2553 10.9813 15.6526 11.392 14.9379 11.68C14.2339 11.9573 13.4659 12.096 12.6339 12.096ZM24.5716 12.096C23.4622 12.096 22.4542 11.8507 21.5476 11.36C20.6516 10.8587 19.9476 10.176 19.4356 9.312C18.9342 8.448 18.6836 7.47733 18.6836 6.4C18.6836 5.32267 18.9342 4.352 19.4356 3.488C19.9476 2.624 20.6516 1.94667 21.5476 1.456C22.4542 0.954666 23.4622 0.704 24.5716 0.704C25.6809 0.704 26.6782 0.949333 27.5636 1.44C28.4596 1.93067 29.1636 2.61333 29.6756 3.488C30.1876 4.352 30.4436 5.32267 30.4436 6.4C30.4436 7.47733 30.1876 8.45333 29.6756 9.328C29.1636 10.192 28.4596 10.8693 27.5636 11.36C26.6782 11.8507 25.6809 12.096 24.5716 12.096ZM24.5716 11.04C25.4569 11.04 26.2569 10.8427 26.9716 10.448C27.6862 10.0427 28.2462 9.488 28.6516 8.784C29.0569 8.06933 29.2596 7.27467 29.2596 6.4C29.2596 5.52533 29.0569 4.736 28.6516 4.032C28.2462 3.31733 27.6862 2.76267 26.9716 2.368C26.2569 1.96267 25.4569 1.76 24.5716 1.76C23.6862 1.76 22.8809 1.96267 22.1556 2.368C21.4409 2.76267 20.8756 3.31733 20.4596 4.032C20.0542 4.736 19.8516 5.52533 19.8516 6.4C19.8516 7.27467 20.0542 8.06933 20.4596 8.784C20.8756 9.488 21.4409 10.0427 22.1556 10.448C22.8809 10.8427 23.6862 11.04 24.5716 11.04ZM49.3214 0.799999V7.6C49.3214 9.08267 48.9534 10.2027 48.2174 10.96C47.4921 11.7173 46.4628 12.096 45.1294 12.096C44.2441 12.096 43.4868 11.9253 42.8574 11.584C42.2388 11.2427 41.7801 10.7573 41.4814 10.128C41.1721 10.768 40.7081 11.2587 40.0894 11.6C39.4708 11.9307 38.7241 12.096 37.8494 12.096C36.5054 12.096 35.4654 11.7173 34.7294 10.96C34.0041 10.2027 33.6414 9.08267 33.6414 7.6V0.799999H34.8254V7.552C34.8254 9.87733 35.8334 11.04 37.8494 11.04C38.8201 11.04 39.5721 10.7573 40.1054 10.192C40.6388 9.616 40.9054 8.736 40.9054 7.552V0.799999H42.0734V7.552C42.0734 8.74667 42.3348 9.62667 42.8574 10.192C43.3908 10.7573 44.1481 11.04 45.1294 11.04C46.1001 11.04 46.8468 10.7573 47.3694 10.192C47.8921 9.616 48.1534 8.736 48.1534 7.552V0.799999H49.3214ZM16.4793 20.8V27.6C16.4793 29.0827 16.1113 30.2027 15.3753 30.96C14.6499 31.7173 13.6206 32.096 12.2873 32.096C11.4019 32.096 10.6446 31.9253 10.0153 31.584C9.39658 31.2427 8.93792 30.7573 8.63925 30.128C8.32992 30.768 7.86592 31.2587 7.24725 31.6C6.62858 31.9307 5.88192 32.096 5.00725 32.096C3.66325 32.096 2.62325 31.7173 1.88725 30.96C1.16192 30.2027 0.799251 29.0827 0.799251 27.6V20.8H1.98325V27.552C1.98325 29.8773 2.99125 31.04 5.00725 31.04C5.97792 31.04 6.72992 30.7573 7.26325 30.192C7.79658 29.616 8.06325 28.736 8.06325 27.552V20.8H9.23125V27.552C9.23125 28.7467 9.49258 29.6267 10.0153 30.192C10.5486 30.7573 11.3059 31.04 12.2873 31.04C13.2579 31.04 14.0046 30.7573 14.5273 30.192C15.0499 29.616 15.3113 28.736 15.3113 27.552V20.8H16.4793ZM25.5719 32.096C24.4625 32.096 23.4545 31.8507 22.5479 31.36C21.6519 30.8587 20.9479 30.176 20.4359 29.312C19.9345 28.448 19.6839 27.4773 19.6839 26.4C19.6839 25.3227 19.9345 24.352 20.4359 23.488C20.9479 22.624 21.6519 21.9467 22.5479 21.456C23.4545 20.9547 24.4625 20.704 25.5719 20.704C26.6812 20.704 27.6785 20.9493 28.5639 21.44C29.4599 21.9307 30.1639 22.6133 30.6759 23.488C31.1879 24.352 31.4439 25.3227 31.4439 26.4C31.4439 27.4773 31.1879 28.4533 30.6759 29.328C30.1639 30.192 29.4599 30.8693 28.5639 31.36C27.6785 31.8507 26.6812 32.096 25.5719 32.096ZM25.5719 31.04C26.4572 31.04 27.2572 30.8427 27.9719 30.448C28.6865 30.0427 29.2465 29.488 29.6519 28.784C30.0572 28.0693 30.2599 27.2747 30.2599 26.4C30.2599 25.5253 30.0572 24.736 29.6519 24.032C29.2465 23.3173 28.6865 22.7627 27.9719 22.368C27.2572 21.9627 26.4572 21.76 25.5719 21.76C24.6865 21.76 23.8812 21.9627 23.1559 22.368C22.4412 22.7627 21.8759 23.3173 21.4599 24.032C21.0545 24.736 20.8519 25.5253 20.8519 26.4C20.8519 27.2747 21.0545 28.0693 21.4599 28.784C21.8759 29.488 22.4412 30.0427 23.1559 30.448C23.8812 30.8427 24.6865 31.04 25.5719 31.04ZM42.3857 32L39.8257 28.4C39.5378 28.432 39.2391 28.448 38.9297 28.448H35.9217V32H34.7377V20.8H38.9297C40.3591 20.8 41.4791 21.1413 42.2898 21.824C43.1004 22.5067 43.5058 23.4453 43.5058 24.64C43.5058 25.5147 43.2818 26.256 42.8337 26.864C42.3964 27.4613 41.7671 27.8933 40.9458 28.16L43.6818 32H42.3857ZM38.8977 27.44C40.0071 27.44 40.8551 27.1947 41.4418 26.704C42.0284 26.2133 42.3217 25.5253 42.3217 24.64C42.3217 23.7333 42.0284 23.04 41.4418 22.56C40.8551 22.0693 40.0071 21.824 38.8977 21.824H35.9217V27.44H38.8977ZM51.5162 20.704C52.9669 20.704 54.1082 21.1307 54.9402 21.984C55.7829 22.8267 56.2042 24.048 56.2042 25.648V32H55.0362V28.704H47.9962V32H46.8442V25.648C46.8442 24.048 47.2602 22.8267 48.0922 21.984C48.9349 21.1307 50.0762 20.704 51.5162 20.704ZM55.0362 27.68V25.536C55.0362 24.288 54.7269 23.3493 54.1082 22.72C53.4896 22.08 52.6256 21.76 51.5162 21.76C50.4069 21.76 49.5429 22.08 48.9242 22.72C48.3056 23.3493 47.9962 24.288 47.9962 25.536V27.68H55.0362Z"
                    fill="black"/>
        </svg>
    </div>

    <div class="panel__icons">
        <button type="button" class="panel__icon" id="copy-link">
            <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path
                        d="M10 13C10.4295 13.5741 10.9774 14.0491 11.6066 14.3929C12.2357 14.7367 12.9315 14.9411 13.6467 14.9923C14.3618 15.0435 15.0796 14.9403 15.7513 14.6897C16.4231 14.4392 17.0331 14.047 17.54 13.54L20.54 10.54C21.4508 9.59695 21.9548 8.33394 21.9434 7.02296C21.932 5.71198 21.4061 4.45791 20.4791 3.53087C19.5521 2.60383 18.298 2.07799 16.987 2.0666C15.676 2.0552 14.413 2.55918 13.47 3.46997L11.75 5.17997"
                        stroke="#7961fe" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                <path
                        d="M14 11.0002C13.5705 10.4261 13.0226 9.95104 12.3934 9.60729C11.7642 9.26353 11.0684 9.05911 10.3533 9.00789C9.63816 8.95667 8.92037 9.05986 8.24861 9.31044C7.57685 9.56103 6.96684 9.95316 6.45996 10.4602L3.45996 13.4602C2.54917 14.4032 2.04519 15.6662 2.05659 16.9772C2.06798 18.2882 2.59382 19.5423 3.52086 20.4693C4.4479 21.3964 5.70197 21.9222 7.01295 21.9336C8.32393 21.945 9.58694 21.441 10.53 20.5302L12.24 18.8202"
                        stroke="#7961fe" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
            </svg>
        </button>
        <button type="button" class="panel__icon">ER</button>
        <button type="button" class="panel__icon">AP</button>
        <button type="button" class="panel__icon">CG</button>
        <button type="button" class="panel__icon">MZ</button>
        <button type="button" class="panel__icon">ET</button>
    </div>
</aside>

<div class="modal">
    <div class="modal__icon">
        <svg width="50" height="50" viewBox="0 0 50 50" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path
                    d="M21.234 39.527C21.567 39.527 21.8863 39.6664 22.1217 39.9146C22.3571 40.1627 22.4894 40.4993 22.4894 40.8502C22.4894 41.2011 22.3571 41.5377 22.1217 41.7858C21.8863 42.034 21.567 42.1734 21.234 42.1734C20.9011 42.1734 20.5818 42.034 20.3464 41.7858C20.1109 41.5377 19.9787 41.2011 19.9787 40.8502C19.9787 40.4993 20.1109 40.1627 20.3464 39.9146C20.5818 39.6664 20.9011 39.527 21.234 39.527ZM28.7661 39.527C29.099 39.527 29.4183 39.6664 29.6537 39.9146C29.8892 40.1627 30.0214 40.4993 30.0214 40.8502C30.0214 41.2011 29.8892 41.5377 29.6537 41.7858C29.4183 42.034 29.099 42.1734 28.7661 42.1734C28.4331 42.1734 28.1138 42.034 27.8784 41.7858C27.643 41.5377 27.5107 41.2011 27.5107 40.8502C27.5107 40.4993 27.643 40.1627 27.8784 39.9146C28.1138 39.6664 28.4331 39.527 28.7661 39.527ZM19.9787 21.0022C20.6445 21.0022 21.2832 21.281 21.754 21.7773C22.2248 22.2736 22.4894 22.9468 22.4894 23.6486C22.4894 24.3505 22.2248 25.0236 21.754 25.5199C21.2832 26.0162 20.6445 26.295 19.9787 26.295C19.3128 26.295 18.6742 26.0162 18.2034 25.5199C17.7325 25.0236 17.468 24.3505 17.468 23.6486C17.468 22.9468 17.7325 22.2736 18.2034 21.7773C18.6742 21.281 19.3128 21.0022 19.9787 21.0022ZM30.0214 21.0022C30.6873 21.0022 31.3259 21.281 31.7967 21.7773C32.2676 22.2736 32.5321 22.9468 32.5321 23.6486C32.5321 24.3505 32.2676 25.0236 31.7967 25.5199C31.3259 26.0162 30.6873 26.295 30.0214 26.295C29.3555 26.295 28.7169 26.0162 28.2461 25.5199C27.7752 25.0236 27.5107 24.3505 27.5107 23.6486C27.5107 22.9468 27.7752 22.2736 28.2461 21.7773C28.7169 21.281 29.3555 21.0022 30.0214 21.0022ZM40.0641 39.527C40.0641 45.3755 33.3104 50.1126 25 50.1126C16.6897 50.1126 9.93594 45.3755 9.93594 39.527C9.93594 37.1452 11.0657 34.9487 12.9488 33.1757C11.0657 30.5293 9.93594 27.2213 9.93594 23.6486L10.2372 20.42C8.88145 20.817 7.24951 20.817 5.91884 20.42C3.35795 19.679 -0.508508 16.6357 0.0689495 14.5186C0.646407 12.4014 5.44181 12.0045 8.00271 12.7984C9.48401 13.2483 11.0657 14.3862 11.9947 15.6036L13.4258 13.46C11.9194 10.549 12.4466 2.47745 19.9787 -0.168945L19.7527 0.20155C19.0497 1.36596 17.242 5.04446 19.1501 9.01405C21.0025 8.1945 22.9912 7.77239 25 7.77239C27.0089 7.77239 28.9976 8.1945 30.8499 9.01405C32.7581 5.04446 30.9504 1.36596 30.2474 0.20155L30.0214 -0.168945C37.5535 2.47745 38.0807 10.549 36.5743 13.46L38.0054 15.6036C38.9343 14.3862 40.5161 13.2483 41.9974 12.7984C44.5583 12.0045 49.3537 12.4014 49.9311 14.5186C50.5086 16.6357 46.6421 19.679 44.0812 20.42C42.7506 20.817 41.1186 20.817 39.7629 20.42L40.0641 23.6486C40.0641 27.2213 38.9343 30.5293 37.0513 33.1757C38.9343 34.9487 40.0641 37.1452 40.0641 39.527ZM25 34.2342C19.4514 34.2342 14.9573 36.616 14.9573 39.527C14.9573 42.438 19.4514 44.8198 25 44.8198C30.5487 44.8198 35.0428 42.438 35.0428 39.527C35.0428 36.616 30.5487 34.2342 25 34.2342ZM25 28.9414C27.812 28.9414 30.4482 29.4972 32.7078 30.4234C34.164 28.5974 35.0428 26.295 35.0428 23.6486C35.0428 20.8412 33.9847 18.1487 32.1013 16.1635C30.218 14.1783 27.6635 13.063 25 13.063C22.3365 13.063 19.7821 14.1783 17.8988 16.1635C16.0154 18.1487 14.9573 20.8412 14.9573 23.6486C14.9573 26.295 15.836 28.5974 17.2922 30.4234C19.5519 29.4972 22.1881 28.9414 25 28.9414Z"
                    fill="#7961fe"/>
        </svg>
    </div>
    <span class="modal__title">Ссылка скопирована!</span>
    <span class="modal__subtitle">Отправь её тем, с кем хочешь вместе ботать</span>
    <button type="button" class="modal__close">
        <svg width="28" height="28" viewBox="0 0 28 28" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M10.7002 10.7002L17.2999 17.2999" stroke="white" stroke-width="2" stroke-linecap="round"
                  stroke-linejoin="round"/>
            <path d="M10.7002 17.2998L17.2999 10.7001" stroke="white" stroke-width="2" stroke-linecap="round"
                  stroke-linejoin="round"/>
        </svg>
    </button>
</div>
</body>

</html>